Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about a Vultr database.
Example Usage
Get the information for a database by label:
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const myDatabase = vultr.getDatabase({
filters: [{
name: "label",
values: ["my-database-label"],
}],
});
import pulumi
import pulumi_vultr as vultr
my_database = vultr.get_database(filters=[{
"name": "label",
"values": ["my-database-label"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.LookupDatabase(ctx, &vultr.LookupDatabaseArgs{
Filters: []vultr.GetDatabaseFilter{
{
Name: "label",
Values: []string{
"my-database-label",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var myDatabase = Vultr.GetDatabase.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetDatabaseFilterInputArgs
{
Name = "label",
Values = new[]
{
"my-database-label",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetDatabaseArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var myDatabase = VultrFunctions.getDatabase(GetDatabaseArgs.builder()
.filters(GetDatabaseFilterArgs.builder()
.name("label")
.values("my-database-label")
.build())
.build());
}
}
variables:
myDatabase:
fn::invoke:
function: vultr:getDatabase
arguments:
filters:
- name: label
values:
- my-database-label
Using getDatabase
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getDatabase(args: GetDatabaseArgs, opts?: InvokeOptions): Promise<GetDatabaseResult>
function getDatabaseOutput(args: GetDatabaseOutputArgs, opts?: InvokeOptions): Output<GetDatabaseResult>def get_database(filters: Optional[Sequence[GetDatabaseFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetDatabaseResult
def get_database_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetDatabaseFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetDatabaseResult]func LookupDatabase(ctx *Context, args *LookupDatabaseArgs, opts ...InvokeOption) (*LookupDatabaseResult, error)
func LookupDatabaseOutput(ctx *Context, args *LookupDatabaseOutputArgs, opts ...InvokeOption) LookupDatabaseResultOutput> Note: This function is named LookupDatabase in the Go SDK.
public static class GetDatabase
{
public static Task<GetDatabaseResult> InvokeAsync(GetDatabaseArgs args, InvokeOptions? opts = null)
public static Output<GetDatabaseResult> Invoke(GetDatabaseInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetDatabaseResult> getDatabase(GetDatabaseArgs args, InvokeOptions options)
public static Output<GetDatabaseResult> getDatabase(GetDatabaseArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getDatabase:getDatabase
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Database Filter> - Query parameters for finding databases.
- Filters
[]Get
Database Filter - Query parameters for finding databases.
- filters
List<Get
Database Filter> - Query parameters for finding databases.
- filters
Get
Database Filter[] - Query parameters for finding databases.
- filters
Sequence[Get
Database Filter] - Query parameters for finding databases.
- filters List<Property Map>
- Query parameters for finding databases.
getDatabase Result
The following output properties are available:
- Access
Cert string - The certificate to authenticate the default user (Kafka engine types only).
- Access
Key string - The private key to authenticate the default user (Kafka engine types only).
- Backup
Hour string - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- Backup
Minute string - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- Cluster
Time stringZone - The configured time zone for the Managed Database in TZ database format.
- Database
Engine string - The database engine of the managed database.
- Database
Engine stringVersion - The database engine version of the managed database.
- Date
Created string - The date the managed database was added to your Vultr account.
- Dbname string
- The managed database's default logical database.
- Enable
Kafka boolConnect - The configuration value for Kafka Connect support (Kafka engine types only).
- Enable
Kafka boolRest - The configuration value for Kafka REST support (Kafka engine types only).
- Enable
Schema boolRegistry - The configuration value for Schema Registry support (Kafka engine types only).
- Eviction
Policy string - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- Ferretdb
Credentials Dictionary<string, string> - Host string
- The hostname assigned to the managed database.
- Id string
- The provider-assigned unique ID for this managed resource.
- Kafka
Rest stringUri - The URI to access the RESTful interface of your Kafka cluster if Kafka REST is enabled (Kafka engine types only).
- Label string
- The managed database's label.
- Latest
Backup string - The date of the latest backup available on the managed database.
- Maintenance
Dow string - The preferred maintenance day of week for the managed database.
- Maintenance
Time string - The preferred maintenance time for the managed database.
- Mysql
Long intQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- Mysql
Require boolPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- Mysql
Slow boolQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- Mysql
Sql List<string>Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- Password string
- The password for the managed database's primary admin user.
- Plan string
- The managed database's plan ID.
- Plan
Brokers int - Plan
Disk int - The description of the disk(s) on the managed database.
- Plan
Ram int - The amount of memory available on the managed database in MB.
- Plan
Replicas int - The number of standby nodes available on the managed database.
- Plan
Vcpus int - The number of virtual CPUs available on the managed database.
- Port string
- The connection port for the managed database.
- Public
Host string - The public hostname assigned to the managed database (VPC-attached only).
- Read
Replicas List<ediri.Vultr. Outputs. Get Database Read Replica> - A list of read replicas attached to the managed database.
- Region string
- The region ID of the managed database.
- Sasl
Port string - The SASL connection port for the managed database (Kafka engine types only).
- Schema
Registry stringUri - The URI to access the Schema Registry service of your Kafka cluster if Schema Registry is enabled (Kafka engine types only).
- Status string
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- Tag string
- The managed database's tag.
- Trusted
Ips List<string> - A list of allowed IP addresses for the managed database.
- User string
- The primary admin user for the managed database.
- Vpc
Id string - The ID of the VPC Network attached to the Managed Database.
- Filters
List<ediri.
Vultr. Outputs. Get Database Filter>
- Access
Cert string - The certificate to authenticate the default user (Kafka engine types only).
- Access
Key string - The private key to authenticate the default user (Kafka engine types only).
- Backup
Hour string - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- Backup
Minute string - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- Cluster
Time stringZone - The configured time zone for the Managed Database in TZ database format.
- Database
Engine string - The database engine of the managed database.
- Database
Engine stringVersion - The database engine version of the managed database.
- Date
Created string - The date the managed database was added to your Vultr account.
- Dbname string
- The managed database's default logical database.
- Enable
Kafka boolConnect - The configuration value for Kafka Connect support (Kafka engine types only).
- Enable
Kafka boolRest - The configuration value for Kafka REST support (Kafka engine types only).
- Enable
Schema boolRegistry - The configuration value for Schema Registry support (Kafka engine types only).
- Eviction
Policy string - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- Ferretdb
Credentials map[string]string - Host string
- The hostname assigned to the managed database.
- Id string
- The provider-assigned unique ID for this managed resource.
- Kafka
Rest stringUri - The URI to access the RESTful interface of your Kafka cluster if Kafka REST is enabled (Kafka engine types only).
- Label string
- The managed database's label.
- Latest
Backup string - The date of the latest backup available on the managed database.
- Maintenance
Dow string - The preferred maintenance day of week for the managed database.
- Maintenance
Time string - The preferred maintenance time for the managed database.
- Mysql
Long intQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- Mysql
Require boolPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- Mysql
Slow boolQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- Mysql
Sql []stringModes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- Password string
- The password for the managed database's primary admin user.
- Plan string
- The managed database's plan ID.
- Plan
Brokers int - Plan
Disk int - The description of the disk(s) on the managed database.
- Plan
Ram int - The amount of memory available on the managed database in MB.
- Plan
Replicas int - The number of standby nodes available on the managed database.
- Plan
Vcpus int - The number of virtual CPUs available on the managed database.
- Port string
- The connection port for the managed database.
- Public
Host string - The public hostname assigned to the managed database (VPC-attached only).
- Read
Replicas []GetDatabase Read Replica - A list of read replicas attached to the managed database.
- Region string
- The region ID of the managed database.
- Sasl
Port string - The SASL connection port for the managed database (Kafka engine types only).
- Schema
Registry stringUri - The URI to access the Schema Registry service of your Kafka cluster if Schema Registry is enabled (Kafka engine types only).
- Status string
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- Tag string
- The managed database's tag.
- Trusted
Ips []string - A list of allowed IP addresses for the managed database.
- User string
- The primary admin user for the managed database.
- Vpc
Id string - The ID of the VPC Network attached to the Managed Database.
- Filters
[]Get
Database Filter
- access
Cert String - The certificate to authenticate the default user (Kafka engine types only).
- access
Key String - The private key to authenticate the default user (Kafka engine types only).
- backup
Hour String - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup
Minute String - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster
Time StringZone - The configured time zone for the Managed Database in TZ database format.
- database
Engine String - The database engine of the managed database.
- database
Engine StringVersion - The database engine version of the managed database.
- date
Created String - The date the managed database was added to your Vultr account.
- dbname String
- The managed database's default logical database.
- enable
Kafka BooleanConnect - The configuration value for Kafka Connect support (Kafka engine types only).
- enable
Kafka BooleanRest - The configuration value for Kafka REST support (Kafka engine types only).
- enable
Schema BooleanRegistry - The configuration value for Schema Registry support (Kafka engine types only).
- eviction
Policy String - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb
Credentials Map<String,String> - host String
- The hostname assigned to the managed database.
- id String
- The provider-assigned unique ID for this managed resource.
- kafka
Rest StringUri - The URI to access the RESTful interface of your Kafka cluster if Kafka REST is enabled (Kafka engine types only).
- label String
- The managed database's label.
- latest
Backup String - The date of the latest backup available on the managed database.
- maintenance
Dow String - The preferred maintenance day of week for the managed database.
- maintenance
Time String - The preferred maintenance time for the managed database.
- mysql
Long IntegerQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql
Require BooleanPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql
Slow BooleanQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql
Sql List<String>Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password String
- The password for the managed database's primary admin user.
- plan String
- The managed database's plan ID.
- plan
Brokers Integer - plan
Disk Integer - The description of the disk(s) on the managed database.
- plan
Ram Integer - The amount of memory available on the managed database in MB.
- plan
Replicas Integer - The number of standby nodes available on the managed database.
- plan
Vcpus Integer - The number of virtual CPUs available on the managed database.
- port String
- The connection port for the managed database.
- public
Host String - The public hostname assigned to the managed database (VPC-attached only).
- read
Replicas List<GetDatabase Read Replica> - A list of read replicas attached to the managed database.
- region String
- The region ID of the managed database.
- sasl
Port String - The SASL connection port for the managed database (Kafka engine types only).
- schema
Registry StringUri - The URI to access the Schema Registry service of your Kafka cluster if Schema Registry is enabled (Kafka engine types only).
- status String
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag String
- The managed database's tag.
- trusted
Ips List<String> - A list of allowed IP addresses for the managed database.
- user String
- The primary admin user for the managed database.
- vpc
Id String - The ID of the VPC Network attached to the Managed Database.
- filters
List<Get
Database Filter>
- access
Cert string - The certificate to authenticate the default user (Kafka engine types only).
- access
Key string - The private key to authenticate the default user (Kafka engine types only).
- backup
Hour string - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup
Minute string - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster
Time stringZone - The configured time zone for the Managed Database in TZ database format.
- database
Engine string - The database engine of the managed database.
- database
Engine stringVersion - The database engine version of the managed database.
- date
Created string - The date the managed database was added to your Vultr account.
- dbname string
- The managed database's default logical database.
- enable
Kafka booleanConnect - The configuration value for Kafka Connect support (Kafka engine types only).
- enable
Kafka booleanRest - The configuration value for Kafka REST support (Kafka engine types only).
- enable
Schema booleanRegistry - The configuration value for Schema Registry support (Kafka engine types only).
- eviction
Policy string - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb
Credentials {[key: string]: string} - host string
- The hostname assigned to the managed database.
- id string
- The provider-assigned unique ID for this managed resource.
- kafka
Rest stringUri - The URI to access the RESTful interface of your Kafka cluster if Kafka REST is enabled (Kafka engine types only).
- label string
- The managed database's label.
- latest
Backup string - The date of the latest backup available on the managed database.
- maintenance
Dow string - The preferred maintenance day of week for the managed database.
- maintenance
Time string - The preferred maintenance time for the managed database.
- mysql
Long numberQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql
Require booleanPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql
Slow booleanQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql
Sql string[]Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password string
- The password for the managed database's primary admin user.
- plan string
- The managed database's plan ID.
- plan
Brokers number - plan
Disk number - The description of the disk(s) on the managed database.
- plan
Ram number - The amount of memory available on the managed database in MB.
- plan
Replicas number - The number of standby nodes available on the managed database.
- plan
Vcpus number - The number of virtual CPUs available on the managed database.
- port string
- The connection port for the managed database.
- public
Host string - The public hostname assigned to the managed database (VPC-attached only).
- read
Replicas GetDatabase Read Replica[] - A list of read replicas attached to the managed database.
- region string
- The region ID of the managed database.
- sasl
Port string - The SASL connection port for the managed database (Kafka engine types only).
- schema
Registry stringUri - The URI to access the Schema Registry service of your Kafka cluster if Schema Registry is enabled (Kafka engine types only).
- status string
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag string
- The managed database's tag.
- trusted
Ips string[] - A list of allowed IP addresses for the managed database.
- user string
- The primary admin user for the managed database.
- vpc
Id string - The ID of the VPC Network attached to the Managed Database.
- filters
Get
Database Filter[]
- access_
cert str - The certificate to authenticate the default user (Kafka engine types only).
- access_
key str - The private key to authenticate the default user (Kafka engine types only).
- backup_
hour str - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup_
minute str - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster_
time_ strzone - The configured time zone for the Managed Database in TZ database format.
- database_
engine str - The database engine of the managed database.
- database_
engine_ strversion - The database engine version of the managed database.
- date_
created str - The date the managed database was added to your Vultr account.
- dbname str
- The managed database's default logical database.
- enable_
kafka_ boolconnect - The configuration value for Kafka Connect support (Kafka engine types only).
- enable_
kafka_ boolrest - The configuration value for Kafka REST support (Kafka engine types only).
- enable_
schema_ boolregistry - The configuration value for Schema Registry support (Kafka engine types only).
- eviction_
policy str - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb_
credentials Mapping[str, str] - host str
- The hostname assigned to the managed database.
- id str
- The provider-assigned unique ID for this managed resource.
- kafka_
rest_ struri - The URI to access the RESTful interface of your Kafka cluster if Kafka REST is enabled (Kafka engine types only).
- label str
- The managed database's label.
- latest_
backup str - The date of the latest backup available on the managed database.
- maintenance_
dow str - The preferred maintenance day of week for the managed database.
- maintenance_
time str - The preferred maintenance time for the managed database.
- mysql_
long_ intquery_ time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql_
require_ boolprimary_ key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql_
slow_ boolquery_ log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql_
sql_ Sequence[str]modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password str
- The password for the managed database's primary admin user.
- plan str
- The managed database's plan ID.
- plan_
brokers int - plan_
disk int - The description of the disk(s) on the managed database.
- plan_
ram int - The amount of memory available on the managed database in MB.
- plan_
replicas int - The number of standby nodes available on the managed database.
- plan_
vcpus int - The number of virtual CPUs available on the managed database.
- port str
- The connection port for the managed database.
- public_
host str - The public hostname assigned to the managed database (VPC-attached only).
- read_
replicas Sequence[GetDatabase Read Replica] - A list of read replicas attached to the managed database.
- region str
- The region ID of the managed database.
- sasl_
port str - The SASL connection port for the managed database (Kafka engine types only).
- schema_
registry_ struri - The URI to access the Schema Registry service of your Kafka cluster if Schema Registry is enabled (Kafka engine types only).
- status str
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag str
- The managed database's tag.
- trusted_
ips Sequence[str] - A list of allowed IP addresses for the managed database.
- user str
- The primary admin user for the managed database.
- vpc_
id str - The ID of the VPC Network attached to the Managed Database.
- filters
Sequence[Get
Database Filter]
- access
Cert String - The certificate to authenticate the default user (Kafka engine types only).
- access
Key String - The private key to authenticate the default user (Kafka engine types only).
- backup
Hour String - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup
Minute String - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster
Time StringZone - The configured time zone for the Managed Database in TZ database format.
- database
Engine String - The database engine of the managed database.
- database
Engine StringVersion - The database engine version of the managed database.
- date
Created String - The date the managed database was added to your Vultr account.
- dbname String
- The managed database's default logical database.
- enable
Kafka BooleanConnect - The configuration value for Kafka Connect support (Kafka engine types only).
- enable
Kafka BooleanRest - The configuration value for Kafka REST support (Kafka engine types only).
- enable
Schema BooleanRegistry - The configuration value for Schema Registry support (Kafka engine types only).
- eviction
Policy String - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb
Credentials Map<String> - host String
- The hostname assigned to the managed database.
- id String
- The provider-assigned unique ID for this managed resource.
- kafka
Rest StringUri - The URI to access the RESTful interface of your Kafka cluster if Kafka REST is enabled (Kafka engine types only).
- label String
- The managed database's label.
- latest
Backup String - The date of the latest backup available on the managed database.
- maintenance
Dow String - The preferred maintenance day of week for the managed database.
- maintenance
Time String - The preferred maintenance time for the managed database.
- mysql
Long NumberQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql
Require BooleanPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql
Slow BooleanQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql
Sql List<String>Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password String
- The password for the managed database's primary admin user.
- plan String
- The managed database's plan ID.
- plan
Brokers Number - plan
Disk Number - The description of the disk(s) on the managed database.
- plan
Ram Number - The amount of memory available on the managed database in MB.
- plan
Replicas Number - The number of standby nodes available on the managed database.
- plan
Vcpus Number - The number of virtual CPUs available on the managed database.
- port String
- The connection port for the managed database.
- public
Host String - The public hostname assigned to the managed database (VPC-attached only).
- read
Replicas List<Property Map> - A list of read replicas attached to the managed database.
- region String
- The region ID of the managed database.
- sasl
Port String - The SASL connection port for the managed database (Kafka engine types only).
- schema
Registry StringUri - The URI to access the Schema Registry service of your Kafka cluster if Schema Registry is enabled (Kafka engine types only).
- status String
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag String
- The managed database's tag.
- trusted
Ips List<String> - A list of allowed IP addresses for the managed database.
- user String
- The primary admin user for the managed database.
- vpc
Id String - The ID of the VPC Network attached to the Managed Database.
- filters List<Property Map>
Supporting Types
GetDatabaseFilter
GetDatabaseReadReplica
- Backup
Hour string - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- Backup
Minute string - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- Cluster
Time stringZone - The configured time zone for the Managed Database in TZ database format.
- Database
Engine string - The database engine of the managed database.
- Database
Engine stringVersion - The database engine version of the managed database.
- Date
Created string - The date the managed database was added to your Vultr account.
- Dbname string
- The managed database's default logical database.
- Eviction
Policy string - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- Ferretdb
Credentials Dictionary<string, string> - Host string
- The hostname assigned to the managed database.
- Id string
- Label string
- The managed database's label.
- Latest
Backup string - The date of the latest backup available on the managed database.
- Maintenance
Dow string - The preferred maintenance day of week for the managed database.
- Maintenance
Time string - The preferred maintenance time for the managed database.
- Mysql
Long intQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- Mysql
Require boolPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- Mysql
Slow boolQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- Mysql
Sql List<string>Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- Password string
- The password for the managed database's primary admin user.
- Plan string
- The managed database's plan ID.
- Plan
Disk int - The description of the disk(s) on the managed database.
- Plan
Ram int - The amount of memory available on the managed database in MB.
- Plan
Replicas int - The number of standby nodes available on the managed database.
- Plan
Vcpus int - The number of virtual CPUs available on the managed database.
- Port string
- The connection port for the managed database.
- Public
Host string - The public hostname assigned to the managed database (VPC-attached only).
- Region string
- The region ID of the managed database.
- Status string
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- Tag string
- The managed database's tag.
- Trusted
Ips List<string> - A list of allowed IP addresses for the managed database.
- User string
- The primary admin user for the managed database.
- Vpc
Id string - The ID of the VPC Network attached to the Managed Database.
- Backup
Hour string - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- Backup
Minute string - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- Cluster
Time stringZone - The configured time zone for the Managed Database in TZ database format.
- Database
Engine string - The database engine of the managed database.
- Database
Engine stringVersion - The database engine version of the managed database.
- Date
Created string - The date the managed database was added to your Vultr account.
- Dbname string
- The managed database's default logical database.
- Eviction
Policy string - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- Ferretdb
Credentials map[string]string - Host string
- The hostname assigned to the managed database.
- Id string
- Label string
- The managed database's label.
- Latest
Backup string - The date of the latest backup available on the managed database.
- Maintenance
Dow string - The preferred maintenance day of week for the managed database.
- Maintenance
Time string - The preferred maintenance time for the managed database.
- Mysql
Long intQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- Mysql
Require boolPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- Mysql
Slow boolQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- Mysql
Sql []stringModes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- Password string
- The password for the managed database's primary admin user.
- Plan string
- The managed database's plan ID.
- Plan
Disk int - The description of the disk(s) on the managed database.
- Plan
Ram int - The amount of memory available on the managed database in MB.
- Plan
Replicas int - The number of standby nodes available on the managed database.
- Plan
Vcpus int - The number of virtual CPUs available on the managed database.
- Port string
- The connection port for the managed database.
- Public
Host string - The public hostname assigned to the managed database (VPC-attached only).
- Region string
- The region ID of the managed database.
- Status string
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- Tag string
- The managed database's tag.
- Trusted
Ips []string - A list of allowed IP addresses for the managed database.
- User string
- The primary admin user for the managed database.
- Vpc
Id string - The ID of the VPC Network attached to the Managed Database.
- backup
Hour String - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup
Minute String - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster
Time StringZone - The configured time zone for the Managed Database in TZ database format.
- database
Engine String - The database engine of the managed database.
- database
Engine StringVersion - The database engine version of the managed database.
- date
Created String - The date the managed database was added to your Vultr account.
- dbname String
- The managed database's default logical database.
- eviction
Policy String - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb
Credentials Map<String,String> - host String
- The hostname assigned to the managed database.
- id String
- label String
- The managed database's label.
- latest
Backup String - The date of the latest backup available on the managed database.
- maintenance
Dow String - The preferred maintenance day of week for the managed database.
- maintenance
Time String - The preferred maintenance time for the managed database.
- mysql
Long IntegerQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql
Require BooleanPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql
Slow BooleanQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql
Sql List<String>Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password String
- The password for the managed database's primary admin user.
- plan String
- The managed database's plan ID.
- plan
Disk Integer - The description of the disk(s) on the managed database.
- plan
Ram Integer - The amount of memory available on the managed database in MB.
- plan
Replicas Integer - The number of standby nodes available on the managed database.
- plan
Vcpus Integer - The number of virtual CPUs available on the managed database.
- port String
- The connection port for the managed database.
- public
Host String - The public hostname assigned to the managed database (VPC-attached only).
- region String
- The region ID of the managed database.
- status String
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag String
- The managed database's tag.
- trusted
Ips List<String> - A list of allowed IP addresses for the managed database.
- user String
- The primary admin user for the managed database.
- vpc
Id String - The ID of the VPC Network attached to the Managed Database.
- backup
Hour string - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup
Minute string - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster
Time stringZone - The configured time zone for the Managed Database in TZ database format.
- database
Engine string - The database engine of the managed database.
- database
Engine stringVersion - The database engine version of the managed database.
- date
Created string - The date the managed database was added to your Vultr account.
- dbname string
- The managed database's default logical database.
- eviction
Policy string - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb
Credentials {[key: string]: string} - host string
- The hostname assigned to the managed database.
- id string
- label string
- The managed database's label.
- latest
Backup string - The date of the latest backup available on the managed database.
- maintenance
Dow string - The preferred maintenance day of week for the managed database.
- maintenance
Time string - The preferred maintenance time for the managed database.
- mysql
Long numberQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql
Require booleanPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql
Slow booleanQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql
Sql string[]Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password string
- The password for the managed database's primary admin user.
- plan string
- The managed database's plan ID.
- plan
Disk number - The description of the disk(s) on the managed database.
- plan
Ram number - The amount of memory available on the managed database in MB.
- plan
Replicas number - The number of standby nodes available on the managed database.
- plan
Vcpus number - The number of virtual CPUs available on the managed database.
- port string
- The connection port for the managed database.
- public
Host string - The public hostname assigned to the managed database (VPC-attached only).
- region string
- The region ID of the managed database.
- status string
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag string
- The managed database's tag.
- trusted
Ips string[] - A list of allowed IP addresses for the managed database.
- user string
- The primary admin user for the managed database.
- vpc
Id string - The ID of the VPC Network attached to the Managed Database.
- backup_
hour str - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup_
minute str - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster_
time_ strzone - The configured time zone for the Managed Database in TZ database format.
- database_
engine str - The database engine of the managed database.
- database_
engine_ strversion - The database engine version of the managed database.
- date_
created str - The date the managed database was added to your Vultr account.
- dbname str
- The managed database's default logical database.
- eviction_
policy str - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb_
credentials Mapping[str, str] - host str
- The hostname assigned to the managed database.
- id str
- label str
- The managed database's label.
- latest_
backup str - The date of the latest backup available on the managed database.
- maintenance_
dow str - The preferred maintenance day of week for the managed database.
- maintenance_
time str - The preferred maintenance time for the managed database.
- mysql_
long_ intquery_ time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql_
require_ boolprimary_ key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql_
slow_ boolquery_ log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql_
sql_ Sequence[str]modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password str
- The password for the managed database's primary admin user.
- plan str
- The managed database's plan ID.
- plan_
disk int - The description of the disk(s) on the managed database.
- plan_
ram int - The amount of memory available on the managed database in MB.
- plan_
replicas int - The number of standby nodes available on the managed database.
- plan_
vcpus int - The number of virtual CPUs available on the managed database.
- port str
- The connection port for the managed database.
- public_
host str - The public hostname assigned to the managed database (VPC-attached only).
- region str
- The region ID of the managed database.
- status str
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag str
- The managed database's tag.
- trusted_
ips Sequence[str] - A list of allowed IP addresses for the managed database.
- user str
- The primary admin user for the managed database.
- vpc_
id str - The ID of the VPC Network attached to the Managed Database.
- backup
Hour String - The preferred hour of the day (UTC) for daily backups to take place (unavailable for Kafka engine types).
- backup
Minute String - The preferred minute of the backup hour for daily backups to take place (unavailable for Kafka engine types).
- cluster
Time StringZone - The configured time zone for the Managed Database in TZ database format.
- database
Engine String - The database engine of the managed database.
- database
Engine StringVersion - The database engine version of the managed database.
- date
Created String - The date the managed database was added to your Vultr account.
- dbname String
- The managed database's default logical database.
- eviction
Policy String - The configuration value for the data eviction policy on the managed database (Valkey engine types only).
- ferretdb
Credentials Map<String> - host String
- The hostname assigned to the managed database.
- id String
- label String
- The managed database's label.
- latest
Backup String - The date of the latest backup available on the managed database.
- maintenance
Dow String - The preferred maintenance day of week for the managed database.
- maintenance
Time String - The preferred maintenance time for the managed database.
- mysql
Long NumberQuery Time - The configuration value for the long query time (in seconds) on the managed database (MySQL engine types only).
- mysql
Require BooleanPrimary Key - The configuration value for whether primary keys are required on the managed database (MySQL engine types only).
- mysql
Slow BooleanQuery Log - The configuration value for slow query logging on the managed database (MySQL engine types only).
- mysql
Sql List<String>Modes - A list of SQL modes currently configured for the managed database (MySQL engine types only).
- password String
- The password for the managed database's primary admin user.
- plan String
- The managed database's plan ID.
- plan
Disk Number - The description of the disk(s) on the managed database.
- plan
Ram Number - The amount of memory available on the managed database in MB.
- plan
Replicas Number - The number of standby nodes available on the managed database.
- plan
Vcpus Number - The number of virtual CPUs available on the managed database.
- port String
- The connection port for the managed database.
- public
Host String - The public hostname assigned to the managed database (VPC-attached only).
- region String
- The region ID of the managed database.
- status String
- The current status of the managed database (poweroff, rebuilding, rebalancing, configuring, running).
- tag String
- The managed database's tag.
- trusted
Ips List<String> - A list of allowed IP addresses for the managed database.
- user String
- The primary admin user for the managed database.
- vpc
Id String - The ID of the VPC Network attached to the Managed Database.
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
